import { Role } from './enum';
export declare function createProjectData(): {
    id: number;
    name: string;
    full_name: string;
    full_path: string;
    description: string;
    default_branch: string;
    default_branch_type: string;
    selected_branch: string;
    selected_branch_type: string;
    compare_branch: string;
    in_fetch: boolean;
    waiting_fork: boolean;
    empty_repo: boolean;
    path_with_namespace: string;
    icon_path: string;
    icon_url: string;
    icon_color: string;
    public: boolean;
    private: boolean;
    loaded: boolean;
    codePageSearchMode: boolean;
    opened_pr_count: number;
    issue_count: number;
    is_product_repo: boolean;
    emojis: never[];
    emojiLoading: boolean;
    path_write_access: boolean;
    archived_enabled: boolean;
    max_attachment_size: number;
    currentCommentLine: null;
    codeSuggestionFiles: never[];
    selectedLinesWithFullInfo: never[];
    tags: string[];
    codeSuggestionDialogVisible: boolean;
    codeSuggestionMultipleMode: boolean;
    singleCommitPayload: null;
    issue_enabled: boolean;
    branch_prefix_enabled: boolean;
    treeDataLoading: boolean;
    diffCommitsCount: number;
    forked: boolean;
    favorited: boolean;
    subscribed: boolean;
    forks_count: number;
    subscriptions_count: number;
    favorites_count: number;
    wiki_exists: boolean;
    wiki_enabled: boolean;
    wiki_clone_url_ssh: string;
    wiki_clone_url_http: string;
    language: string;
    status: null;
    pendingEmojiId: null;
    public_ident: string;
    permissions: {
        admin_pages: boolean;
        can_admin: boolean;
        can_create_pr: boolean;
        user_permission: {
            code: number;
            permission: Role;
        };
        codes: string[];
    };
    markdown_toc: never[];
    md_toc_active_href: null;
    markdown_content_height: number;
    file_header_height: number;
    iscan_enabled: boolean;
    branch_all_count: number;
    watermark_enabled: null;
    show_pr_scan_enabled: boolean;
    application_enabled: boolean;
    show_pr_quality_inspection: boolean;
    fork_from: string;
    sidebar_hidden: boolean;
    branch_rule_enabled: boolean;
    enterprise_branch_plan_info: null;
    enterprise_branch_plan_enabled: boolean;
    conflict_warning_enabled: boolean;
    diff_file_full_screen_flag: boolean;
    allow_set_permission_policy: boolean;
};
export type Project = ReturnType<typeof createProjectData>;
