import { Role } from './enum';
export function createProjectData() {
    return {
        id: 0,
        name: '',
        full_name: '',
        full_path: '',
        description: '',
        default_branch: '',
        default_branch_type: '',
        selected_branch: '', // 当前选择的分支，用于记住代码页选择的分支和提交页选择的分支，相互可以带过去
        selected_branch_type: '', // 当前选择的分支类型
        compare_branch: '',
        in_fetch: false,
        waiting_fork: false,
        empty_repo: false,
        path_with_namespace: '',
        icon_path: '',
        icon_url: '',
        icon_color: '',
        public: false,
        private: false,
        loaded: false,
        codePageSearchMode: false, // 代码页首页是否是搜索模式
        opened_pr_count: 0, // 项目中pr的数量，用以在导航中显示
        issue_count: 0, // 项目中issue的数量，用以在导航中显示
        is_product_repo: false, // 是否生产仓库
        emojis: [],
        emojiLoading: false,
        // can_admin_file: false,
        path_write_access: false, // 代码页文件目录是否有编辑权限
        archived_enabled: false, // 是否归档
        max_attachment_size: 0,
        currentCommentLine: null,
        // 代码建议
        codeSuggestionFiles: [],
        selectedLinesWithFullInfo: [],
        tags: [],
        codeSuggestionDialogVisible: false,
        codeSuggestionMultipleMode: false,
        singleCommitPayload: null,
        issue_enabled: false,
        branch_prefix_enabled: false,
        // 差异文件树
        treeDataLoading: false,
        diffCommitsCount: 0,
        // fork、star、watch
        forked: false,
        favorited: false,
        subscribed: false,
        forks_count: 0,
        subscriptions_count: 0, // watching
        favorites_count: 0, // star
        wiki_exists: false, // wiki是否已初始化
        wiki_enabled: false, // wiki开关
        wiki_clone_url_ssh: '',
        wiki_clone_url_http: '',
        language: '',
        status: null,
        pendingEmojiId: null,
        public_ident: '', // 仓库类型，组内私有，组内开源，个人私有，个人开源
        permissions: {
            admin_pages: false,
            can_admin: false,
            can_create_pr: false,
            user_permission: { code: 0, permission: Role.NoAuth },
            codes: [],
        },
        markdown_toc: [],
        md_toc_active_href: null,
        markdown_content_height: 0,
        file_header_height: 0,
        iscan_enabled: false,
        // 分支总数
        branch_all_count: 0,
        watermark_enabled: null,
        show_pr_scan_enabled: false, // pr质量检测开关
        application_enabled: false, // 是否已经是开源仓库的开发者
        show_pr_quality_inspection: false, // scan或pipe质量检测有一个打开就为true
        fork_from: '',
        sidebar_hidden: false, // 侧边栏是否隐藏
        branch_rule_enabled: false,
        enterprise_branch_plan_info: null, // 企业分支规范信息
        enterprise_branch_plan_enabled: false, // 是否启用企业级分支规范
        conflict_warning_enabled: false,
        diff_file_full_screen_flag: false, // 文件改动全屏
        allow_set_permission_policy: false, // 是否允许设置权限策略
    };
}
